Name:		cgoban
Version:	1.9.14
Release:	%mkrel 23

Summary:	A Go game client
License:	GPLv2+
Group:		Games/Boards
URL:		http://cgoban1.sourceforge.net/
Source:		http://sourceforge.net/projects/cgoban1/%{name}-%{version}.tar.bz2
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
Obsoletes:	cgoban1

%description
Cgoban (Complete Goban) is for Unix systems with X11.  It has the ability
to be a computerized go board, view and edit smart-go files, and connect to
go servers on the Internet.
Cgoban is also a smart interface for GNU Go.

%prep
%setup -q

%build
sed -i -e 's|\"./goDummy\"|\"/usr/games/gnugo --quiet\"|' src/cgoban.c
# See https://bugs.mageia.org/show_bug.cgi?id=20995
perl -lpi -e 's#"/usr/bin/gnugo#"/usr/games/gnugo#g' src/cgoban.c
sed -i -e "s|-O2 -fomit-frame-pointer|%{optflags}|g" configure
chmod +x configure
%configure
%make_build

%install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man6
mkdir -p %{buildroot}/%{_iconsdir}{,/mini,/large}
%make_install
cp -p cgoban_icon.png %{buildroot}/%{_iconsdir}/large/cgoban.png
convert cgoban_icon.png -resize 24x24 %{buildroot}/%{_iconsdir}/cgoban.png
convert cgoban_icon.png -resize 16x16 %{buildroot}/%{_iconsdir}/mini/cgoban.png

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=CGoban
Comment=Graphical game of Go
Exec=%{_bindir}/%{name}
Icon=cgoban
Terminal=false
Type=Application
Categories=Game;BoardGame;
EOF

%files
%doc README TODO seigen-minoru.sgf
%license COPYING
%{_bindir}/*
%{_mandir}/man6/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/cgoban.png
%{_iconsdir}/*/cgoban.png


%changelog
* Mon Mar 30 2020 umeabot <umeabot> 1.9.14-23.mga8
+ Revision: 1562345
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 22 2018 umeabot <umeabot> 1.9.14-22.mga7
+ Revision: 1296109
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 shlomif <shlomif> 1.9.14-21.mga7
+ Revision: 1234367
- Fix the path to gnugo - mga#20995 .

* Mon Feb 08 2016 umeabot <umeabot> 1.9.14-20.mga6
+ Revision: 948156
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.9.14-19.mga5
+ Revision: 741341
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.9.14-18.mga5
+ Revision: 678358
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.9.14-17.mga4
+ Revision: 503317
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.9.14-16.mga3
+ Revision: 347631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 29 2011 fwang <fwang> 1.9.14-15.mga2
+ Revision: 150153
- cleanup br

* Mon Mar 14 2011 andre999 <andre999> 1.9.14-14.mga1
+ Revision: 71363
- imported package cgoban

